Bug 157062 - AssertionError: hg.bundle not in {...}
AssertionError: hg.bundle not in {...}
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 14:10 UTC by jrojcek
Modified: 2009-04-05 18:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.62 KB, text/plain)
2009-01-19 14:10 UTC, jrojcek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2009-01-19 14:10:37 UTC
Build: NetBeans IDE Dev (Build cdev-152-on-090118)
VM: Java HotSpot(TM) Server VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP, 5.1, x86

User Comments:
jrojcek: I did nothing, literally. Switched to the NB window and the exception was there.



Stacktrace: 
java.lang.AssertionError: hg.bundle not in {maven=true, db.dataview=true, o.apache.tools.ant.module.docs=true, visualweb.libs.jtidy=true, diff=true, openide.execution=true, visualweb.webui.jsf.defaulttheme=true, beans=true, editor.completion=true, j2ee.jboss4=true, spring.beans=true, glassfish.javaee=true, visualweb.api.insync=true, web.project=true, o.mozilla.rhino.patched=true, libs.commons_fileupload=true, ruby.debugger=true, j2ee.metadata=true, apisupport.refactoring=true, maven.search=true, j2me.cdc.platform.semc=true, maven.buildplan=true, j2ee.sun.dd=true, xml.retriever=true, loadgenerator=true, api.debugger.jpda=true, web.jsf.kit=true, apisupport.paintapp=true, apisupport.ant=true, websvc.restkit=true, xml.text=true, maven.grammar=true, groovy.samples=true, classfile=true, editor.lib2=true, parsing.api=true, j2ee.persistence.kit=true, cnd.remote=true, j2me.cdc.project.sjmc=true, php.editor=true, ide.kit=true, core.ide=true, real.workspace=true, web.client.tools.kit=true, api.xml=true, debugger.jpda.an
        at org.netbeans.modules.hudson.impl.JobWorkspaceFileSystem.lastModified(JobWorkspaceFileSystem.java:187)
        at org.openide.filesystems.AbstractFileObject.initLastModified(AbstractFileObject.java:94)
        at org.openide.filesystems.AbstractFileObject.lastModified(AbstractFileObject.java:175)
        at org.openide.filesystems.AbstractFileObject.<init>(AbstractFileObject.java:79)
        at org.openide.filesystems.AbstractFileSystem.createFileObject(AbstractFileSystem.java:447)
        at org.openide.filesystems.AbstractFileObject.createFile(AbstractFileObject.java:136)
Comment 1 jrojcek 2009-01-19 14:10:49 UTC
Created attachment 75986 [details]
stacktrace
Comment 2 Peter Pis 2009-01-23 07:30:11 UTC
Reassigning to platform.
Comment 3 Jesse Glick 2009-01-23 18:25:45 UTC
cdev #a323bacb0480
Comment 4 Quality Engineering 2009-03-17 08:38:10 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a323bacb0480
User: Jesse Glick <jglick@netbeans.org>
Log: #157062: fixed assertion error, and generally made threading behavior more conservative.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo